/**
 * BIT.c
 **/

#include "bit.h"

/***
 *  *      Rotate Left (Byte)
 *   **/
DWORD ROL32(DWORD input, int places)
{
        return (input << places) | (input >> (32 - places));
}

BYTE ROL8(BYTE input, int places)
{
        return (input << places) | (input >> (8 - places));
}


/***
 *  *      Rotate Right (Byte)
 *   ***/
BYTE ROR32(BYTE input, int places)
{
        return (input >> places) | (input << (8 - places));
}

DWORD ROR8(DWORD input, int places)
{
        return (input >> places) | (input << (32 - places));
}

